Opened 8 years ago

Closed 8 years ago

#3307 closed defect (invalid)

Ship "Use Bridge Only" versions of TBB

Reported by: mikeperry Owned by: erinn
Priority: High Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description (last modified by mikeperry)

We need to provide people with TBBs that can be safely launched in censored countries like Syria, Iran, and China.

The situation right now is that people will try to run our default bundles, get blocked, and then try to configure a bridge. This currently mandatory intermediate blocking step exposes users to potential arrest and harassment, especially if they appear to get encrypted communications working later.

This requires some work in the Tor client and Vidalia. The child tickets are listed here.


Child Tickets

Change History (3)

comment:1 Changed 8 years ago by mikeperry

Description: modified (diff)

comment:2 Changed 8 years ago by mikeperry

It is possible that we actually don't want this to be a bundle problem at all, and instead just want Vidalia to ask the user "Do you want to use Bridges?" before launching Tor.

comment:3 Changed 8 years ago by mikeperry

Resolution: invalid
Status: newclosed

Yeah, this totally needs to be a first-launch prompt in Vidalia rather than a bundle. Users will inevitably download the wrong bundle.

Note: See TracTickets for help on using tickets.